1

How to build an tool with specific libraries without breaking Fedora?

view story
linux-howto

http://unix.stackexchange.com – This is probably a noob question, but so far never needed to deviate from the standard Fedora 16 core development components. I am needing to build clutter-mx project, but this library requires glib-2.0.32. Along with this, glib-2 needs libffi-3.0.11. I can download the source and build these libraries, however, I am concerned that installing them will break the rest of the system. The clutter-mx project uses autotools and looks for the glib-2 version. The questions are: If I build and install the new components, and something goes wrong, can you get back using yum, or something similar? (HowTos)